<?php
/**
 * @version		$Id: generic.php 1913 2013-02-08 22:35:11Z joomlaworks $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;

JLoader::register('SMBHelper', T3_TEMPLATE_PATH . '/templateHelper.php');
?>

<!-- Start K2 Generic (search/date) Layout -->
<div id="k2Container" class="ja-infinity-wraper genericView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">

	<?php if($this->params->get('show_page_title') || JRequest::getCmd('task')=='search' || JRequest::getCmd('task')=='date'): ?>
	<!-- Page title -->
	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
		<?php echo $this->escape($this->params->get('page_title')); ?>
	</div>
	<?php endif; ?>

	<?php if(JRequest::getCmd('task')=='search' && $this->params->get('googleSearch')): ?>
	<!-- Google Search container -->
	<div id="<?php echo $this->params->get('googleSearchContainer'); ?>"></div>
	<?php endif; ?>

	<?php if(count($this->items) && $this->params->get('genericFeedIcon',1)): ?>
	<!-- RSS feed icon -->
	<div class="k2FeedIcon">
		<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
			<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
		</a>
		<div class="clr"></div>
	</div>
	<?php endif; ?>

	<?php if(count($this->items)): ?>

	<div class="ja-infinity genericItemList">
		<?php foreach($this->items as $item): ?>

		<!-- Start K2 Item Layout -->
		<div class="item genericItemView">
			<article>
		
				<?php if($this->params->get('genericItemImage') && !empty($item->imageGeneric)): ?>
				<!-- Item Image -->
				<div class="item-image-wrap genericItemImageBlock">
					<span class="item-image genericItemImage">
						<a href="<?php echo $item->link; ?>" title="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>">
							<img src="<?php echo $item->imageGeneric; ?>" alt="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>" style="width:<?php echo $this->params->get('itemImageGeneric'); ?>px; height:auto;" />
						</a>
					</span>
					<div class="clr"></div>
				</div>
				<?php else: ?>
					<?php 
						$ytimage = SMBHelper::getYTK2Image($item);
						echo $ytimage ? $ytimage : '<div class="item-placeholder"><i class="icon icon-picture">&nbsp;</i></div>';
					?>
				<?php endif; ?>

				<div class="view-item">
					<div class="genericItemBody">

						<div class="genericItemHeader">
							<?php if($this->params->get('genericItemTitle')): ?>
							<!-- Item title -->
							<h2 class="genericItemTitle">
								<?php if ($this->params->get('genericItemTitleLinked')): ?>
								<a href="<?php echo $item->link; ?>">
									<?php echo $item->title; ?>
								</a>
								<?php else: ?>
									<?php echo $item->title; ?>
								<?php endif; ?>
							</h2>
							<?php endif; ?>
						</div>

						<?php if($this->params->get('genericItemIntroText')): ?>
						<!-- Item introtext -->
						<section class="article-intro clearfix genericItemIntroText">
							<?php echo $item->introtext; ?>
						</section>
						<?php endif; ?>

						<div class="clr"></div>
					</div>

					<aside class="article-aside clearfix">
						<dl class="article-info">
							<?php if($this->params->get('genericItemDateCreated')): ?>
								<!-- Date created -->
								<dd class="genericItemDateCreated">
									<span><?php echo JText::_('on'); ?></span>
									<?php echo JHTML::_('date', $item->created , JText::_('DATE_FORMAT_LC3')); ?>
								</dd>
							<?php endif; ?>
							
							<?php if($this->params->get('genericItemCategory')): ?>
								<!-- Item category name -->
								<dd class="genericItemCategory">
									<span><?php echo JText::_('in'); ?></span>
									<a href="<?php echo $item->category->link; ?>"><?php echo $item->category->name; ?></a>
								</dd>
							<?php endif; ?>
						</dl>
					</aside>

					<?php if($this->params->get('genericItemExtraFields') && count($item->extra_fields)): ?>
					<!-- Item extra fields -->
					<div class="genericItemExtraFields">
						<h4><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></h4>
						<ul>
							<?php foreach ($item->extra_fields as $key=>$extraField): ?>
							<?php if($extraField->value != ''): ?>
							<li class="<?php echo ($key%2) ? "odd" : "even"; ?> type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
								<?php if($extraField->type == 'header'): ?>
								<h4 class="genericItemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
								<?php else: ?>
								<span class="genericItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
								<span class="genericItemExtraFieldsValue"><?php echo $extraField->value; ?></span>
								<?php endif; ?>
							</li>
							<?php endif; ?>
							<?php endforeach; ?>
							</ul>
						<div class="clr"></div>
					</div>
					<?php endif; ?>


					<?php if ($this->params->get('genericItemReadMore')): ?>
					<!-- Item "read more..." link -->
					<div class="genericItemReadMore">
						<a class="k2ReadMore readmore btn icon-plus" href="<?php echo $item->link; ?>">
							<span><?php echo JText::_('K2_READ_MORE'); ?></span>
						</a>
					</div>
					<?php endif; ?>
				</div>

			</article>
		</div>
		<!-- End K2 Item Layout -->

		<?php endforeach; ?>
	</div>

	<?php endif; ?>
</div>
<!-- End K2 Generic (search/date) Layout -->
