<?php
/**
 * @version		$Id: category.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;

JLoader::register('SMBHelper', T3_TEMPLATE_PATH . '/templateHelper.php');
?>
<!-- Start K2 Category Layout -->
<div id="k2Container" class="ja-infinity-wraper itemListView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">
  <div class="ja-infinity clearfix">

	<?php if($this->params->get('show_page_title')): ?>
	<!-- Page title -->
	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
		<?php echo $this->escape($this->params->get('page_title')); ?>
	</div>
	<?php endif; ?>
	
	<?php if($this->params->get('catFeedIcon') || (isset($this->category) && ( $this->params->get('catImage') || $this->params->get('catTitle') || $this->params->get('catDescription') || $this->category->event->K2CategoryDisplay ))): ?>
	<div class="item">
		<article>
			<?php if($this->params->get('catFeedIcon')): ?>
			<!-- RSS feed icon -->
			<div class="k2FeedIcon">
				<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
					<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
				</a>
				<div class="clr"></div>
			</div>
			<?php endif; ?>
			<?php if(isset($this->category) && ( $this->params->get('catImage') || $this->params->get('catTitle') || $this->params->get('catDescription') || $this->category->event->K2CategoryDisplay )): ?>
			<!-- Category block -->
			<div class="itemListCategory">
		
				<?php if(isset($this->addLink)): ?>
				<!-- Item add link -->
				<span class="catItemAddLink">
					<a class="modal" rel="{handler:'iframe',size:{x:990,y:650}}" href="<?php echo $this->addLink; ?>">
						<?php echo JText::_('K2_ADD_A_NEW_ITEM_IN_THIS_CATEGORY'); ?>
					</a>
				</span>
				<?php endif; ?>
		
				<?php if($this->params->get('catImage') && $this->category->image): ?>
				<!-- Category image -->
				<img alt="<?php echo K2HelperUtilities::cleanHtml($this->category->name); ?>" src="<?php echo $this->category->image; ?>" style="width:<?php echo $this->params->get('catImageWidth'); ?>px; height:auto;" />
				<?php endif; ?>
		
				<?php if($this->params->get('catTitle')): ?>
				<!-- Category title -->
				<h2><?php echo $this->category->name; ?><?php if($this->params->get('catTitleItemCounter')) echo ' ('.$this->pagination->total.')'; ?></h2>
				<?php endif; ?>
		
				<?php if($this->params->get('catDescription')): ?>
				<!-- Category description -->
				<p><?php echo $this->category->description; ?></p>
				<?php endif; ?>
		
				<!-- K2 Plugins: K2CategoryDisplay -->
				<?php echo $this->category->event->K2CategoryDisplay; ?>
		
				<div class="clr"></div>
			</div>
			<?php endif; ?>
		</article>
	</div>
	<?php endif; ?>

	<?php if(isset($this->category) || ( $this->params->get('subCategories') && isset($this->subCategories) && count($this->subCategories) )): ?>
	<!-- Blocks for current category and subcategories -->

		<?php if($this->params->get('subCategories') && isset($this->subCategories) && count($this->subCategories)): ?>
			<?php foreach($this->subCategories as $key=>$subCategory): ?>

			<?php
			// Define a CSS class for the last container on each row
			if( (($key+1)%($this->params->get('subCatColumns'))==0))
				$lastContainer= ' subCategoryContainerLast';
			else
				$lastContainer='';
			?>

			<div class="item category-item subCategoryContainer<?php echo $lastContainer; ?>">
				<article>
					<div class="subCategory">
						<?php if($this->params->get('subCatImage') && $subCategory->image): ?>
						<!-- Subcategory image -->
						<a class="cat-link item-image-wrap subCategoryImage" href="<?php echo $subCategory->link; ?>">
							<img alt="<?php echo K2HelperUtilities::cleanHtml($subCategory->name); ?>" src="<?php echo $subCategory->image; ?>" />
						</a>
						<?php endif; ?>
	
						<?php if($this->params->get('subCatDescription')): ?>
						<!-- Subcategory description -->
						<?php echo $subCategory->description; ?>
						<?php endif; ?>

						<?php if($this->params->get('subCatTitle')): ?>
						<!-- Subcategory title -->
						<h2>
							<a href="<?php echo $subCategory->link; ?>">
								<?php echo $subCategory->name; ?><?php if($this->params->get('subCatTitleItemCounter')) echo ' ('.$subCategory->numOfItems.')'; ?>
							</a>
						</h2>
						<?php endif; ?>
						<div class="clr"></div>
					</div>
				</article>
			</div>
			<?php endforeach; ?>
		<?php endif; ?>
	<?php endif; ?>


	<?php if((isset($this->leading) || isset($this->primary) || isset($this->secondary) || isset($this->links)) && (count($this->leading) || count($this->primary) || count($this->secondary) || count($this->links))): ?>
	<!-- Item list -->
		<?php if(isset($this->leading) && count($this->leading)): ?>
		<!-- Leading items -->
			<?php foreach($this->leading as $key=>$item): ?>

			<?php
			// Define a CSS class for the last container on each row
			if( (($key+1)%($this->params->get('num_leading_columns'))==0) || count($this->leading)<$this->params->get('num_leading_columns') )
				$lastContainer= ' itemContainerLast';
			else
				$lastContainer='';
			?>
			
			<div class="item itemContainer<?php echo $lastContainer; ?><?php echo empty($item->image) ? ' no-image' : '' ?>">
				<?php
					// Load category_item.php by default
					$this->item=$item;
					echo $this->loadTemplate('item');
				?>
			</div>
			<?php endforeach; ?>
		<?php endif; ?>

		<?php if(isset($this->primary) && count($this->primary)): ?>
		<!-- Primary items -->
			<?php foreach($this->primary as $key=>$item): ?>
			
			<?php
			// Define a CSS class for the last container on each row
			if( (($key+1)%($this->params->get('num_primary_columns'))==0) || count($this->primary)<$this->params->get('num_primary_columns') )
				$lastContainer= ' itemContainerLast';
			else
				$lastContainer='';
			?>
			
			<div class="item itemContainer<?php echo $lastContainer; ?><?php echo empty($item->image) ? ' no-image' : '' ?>">
				<?php
					// Load category_item.php by default
					$this->item=$item;
					echo $this->loadTemplate('item');
				?>
			</div>
			<?php endforeach; ?>
		<?php endif; ?>

		<?php if(isset($this->secondary) && count($this->secondary)): ?>
		<!-- Secondary items -->
			<?php foreach($this->secondary as $key=>$item): ?>
			
			<?php
			// Define a CSS class for the last container on each row
			if( (($key+1)%($this->params->get('num_secondary_columns'))==0) || count($this->secondary)<$this->params->get('num_secondary_columns') )
				$lastContainer= ' itemContainerLast';
			else
				$lastContainer='';
			?>
			
			<div class="item itemContainer<?php echo $lastContainer; ?><?php echo empty($item->image) ? ' no-image' : '' ?>">
				<article>
				<?php
					// Load category_item.php by default
					$this->item=$item;
					echo $this->loadTemplate('item');
				?>
				</article>
			</div>
			<?php endforeach; ?>
		<?php endif; ?>

		<?php if(isset($this->links) && count($this->links)): ?>
		<!-- Link items -->
		<div class="item" id="itemListLinks">
			<article>
				<h4><?php echo JText::_('K2_MORE'); ?></h4>
				<?php foreach($this->links as $key=>$item): ?>
	
				<?php
				// Define a CSS class for the last container on each row
				if( (($key+1)%($this->params->get('num_links_columns'))==0) || count($this->links)<$this->params->get('num_links_columns') )
					$lastContainer= ' itemContainerLast';
				else
					$lastContainer='';
				?>
	
				<div class="itemContainer<?php echo $lastContainer; ?>">
					<?php
						// Load category_item_links.php by default
						$this->item=$item;
						echo $this->loadTemplate('item_links');
					?>
				</div>
				<?php if(($key+1)%($this->params->get('num_links_columns'))==0): ?>
				<div class="clr"></div>
				<?php endif; ?>
				<?php endforeach; ?>
				<div class="clr"></div>
			</article>
		</div>
		<?php endif; ?>

	<?php endif; ?>
  </div>
<!-- End K2 Category Layout -->
</div>