<?php
/**
 * @version		$Id: tag.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;

JLoader::register('SMBHelper', T3_TEMPLATE_PATH . '/templateHelper.php');
?>

<!-- Start K2 Tag Layout -->
<div id="k2Container" class="ja-infinity-wraper tagView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">

	<?php if($this->params->get('show_page_title')): ?>
	<!-- Page title -->
	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
		<?php echo $this->escape($this->params->get('page_title')); ?>
	</div>
	<?php endif; ?>

	<?php if($this->params->get('tagFeedIcon',1)): ?>
	<!-- RSS feed icon -->
	<div class="k2FeedIcon">
		<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
			<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
		</a>
		<div class="clr"></div>
	</div>
	<?php endif; ?>

	<?php if(count($this->items)): ?>
	<div class="ja-infinity">
		<?php foreach($this->items as $item): ?>

		<!-- Start K2 Item Layout -->
		<div class="item tagItemView<?php echo empty($item->imageGeneric) ? ' no-image' : '' ?>">
			<article>
			    <?php if($item->params->get('tagItemImage',1) && !empty($item->imageGeneric)): ?>
					<!-- Item Image -->
					<div class="item-image-wrap tagItemImageBlock">
						<span class="tagItemImage">
							<a href="<?php echo $item->link; ?>" title="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>">
								<img src="<?php echo $item->imageGeneric; ?>" alt="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>" style="width:<?php echo $item->params->get('itemImageGeneric'); ?>px; height:auto;" />
							</a>
						  </span>
						<div class="clr"></div>
					 </div>
				<?php else: ?>
					<?php 
						$ytimage = SMBHelper::getYTK2Image($item);
						echo $ytimage ? $ytimage : '<div class="item-placeholder"><i class="icon icon-picture">&nbsp;</i></div>';
					?>
				<?php endif; ?>


				<div class="view-item">
					<div class="tagItemHeader">
					  <?php if($item->params->get('tagItemTitle',1)): ?>
					  <!-- Item title -->
					  <h2 class="tagItemTitle">
						<?php if ($item->params->get('tagItemTitleLinked',1)): ?>
							<a class="article-link" href="<?php echo $item->link; ?>">
							<?php echo $item->title; ?>
						</a>
						<?php else: ?>
						<?php echo $item->title; ?>
						<?php endif; ?>
					  </h2>
					  <?php endif; ?>
					</div>
					<div class="tagItemBody">					  
					  <?php if($item->params->get('tagItemIntroText',1)): ?>
					  <!-- Item introtext -->
					  <section class="article-intro clearfix tagItemIntroText">
						<?php echo $item->introtext; ?>
					  </section>
					  <?php endif; ?>
					</div>
					<aside class="article-aside clearfix">
						<dl class="article-info">
							<?php if($item->params->get('tagItemDateCreated',1)): ?>
							<!-- Date created -->
							<dd class="tagItemDateCreated">
								<span><?php echo JText::_('on'); ?></span>
								<?php echo JHTML::_('date', $item->created , JText::_('DATE_FORMAT_LC3')); ?>
							</dd>
							<?php endif; ?>
							 <?php if($item->params->get('tagItemExtraFields',0) && count($item->extra_fields)): ?>
							  <!-- Item extra fields -->  
							  <dd class="tagItemExtraFields">
								<h4><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></h4>
								<ul>
									<?php foreach ($item->extra_fields as $key=>$extraField): ?>
									<?php if($extraField->value != ''): ?>
									<li class="<?php echo ($key%2) ? "odd" : "even"; ?> type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
										<?php if($extraField->type == 'header'): ?>
										<h4 class="tagItemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
										<?php else: ?>
										<span class="tagItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
										<span class="tagItemExtraFieldsValue"><?php echo $extraField->value; ?></span>
										<?php endif; ?>		
									</li>
									<?php endif; ?>
									<?php endforeach; ?>
									</ul>
								<div class="clr"></div>
							  </dd>
							 <?php endif; ?>
				  
							<?php if($item->params->get('tagItemCategory')): ?>
							<!-- Item category name -->
							<dd class="tagItemCategory">
								<span><?php echo JText::_('in'); ?></span>
								<a href="<?php echo $item->category->link; ?>"><?php echo $item->category->name; ?></a>
							</dd>
							<?php endif; ?>
						</dl>
					</aside>
					<?php if ($item->params->get('tagItemReadMore')): ?>
						<!-- Item "read more..." link -->
						<div class="tagItemReadMore">
							<a class="k2ReadMore readmore btn icon-plus" href="<?php echo $item->link; ?>">
								<span><?php echo JText::_('K2_READ_MORE'); ?></span>
							</a>
						</div>
					<?php endif; ?>
				</div>
			</div>
			<!-- End K2 Item Layout -->
		  </article>
		<?php endforeach; ?>
	</div>

	<!-- Pagination -->
	<?php if(count($this->pagination->getPagesLinks())): ?>
	<?php
		// Build the additional URL parameters string.
		$urlparams = '';
		if (!empty($this->pagination->_additionalUrlParams))
		{
			foreach ($this->pagination->_additionalUrlParams as $key => $value)
			{
				$urlparams .= '&' . $key . '=' . $value;
			}
		}
		$next = $this->pagination->get('pages.current') * $this->pagination->limit;
		$nextlink = JRoute::_($urlparams . '&' . $this->pagination->prefix . 'limitstart=' . $next);
	?>
	<div id="page-nav">
		<a id="page-next-link" href="<?php echo $nextlink ?>"></a>
	</div>
	<?php endif; ?>
	<!-- End Pagination -->

	<?php endif; ?>
	
</div>
<!-- End K2 Tag Layout -->
