<?php
/**
 * @version		$Id: user.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;

JLoader::register('SMBHelper', T3_TEMPLATE_PATH . '/templateHelper.php');

// Get user stuff (do not change)
$user = JFactory::getUser();
?>

<!-- Start K2 User Layout -->

<div id="k2Container" class="ja-infinity-wraper userView<?php if($this->params->get('pageclass_sfx')) echo ' '.$this->params->get('pageclass_sfx'); ?>">
	<div class="ja-infinity">
		<?php if($this->params->get('show_page_title') && $this->params->get('page_title')!=$this->user->name || $this->params->get('userFeedIcon',1) ): ?>
		<div class="item rss-block no-repeat">
			<article>
				<?php if($this->params->get('show_page_title') && $this->params->get('page_title')!=$this->user->name): ?>
					<!-- Page title -->
					<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
						<?php echo $this->escape($this->params->get('page_title')); ?>
					</div>
				<?php endif ?>
				<?php if($this->params->get('userFeedIcon',1)): ?>
				<!-- RSS feed icon -->
				<div class="k2FeedIcon">
					<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
						<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
					</a>
					<div class="clr"></div>
				</div>
				<?php endif; ?>
			</article>
		</div>
		<?php endif; ?>
	
		
		<?php if ($this->params->get('userImage') || $this->params->get('userName') || $this->params->get('userDescription') || $this->params->get('userURL') || $this->params->get('userEmail')): ?>
		<div class="item user-avatar no-repeat">
			<article>
				<div class="userBlock clearfix">
									
					<?php if ($this->params->get('userImage') && !empty($this->user->avatar)): ?>
					<img src="<?php echo $this->user->avatar; ?>" alt="<?php echo $this->user->name; ?>" style="width:<?php echo $this->params->get('userImageWidth'); ?>px; height:auto;" />
					<?php endif; ?>
					
					<?php if ($this->params->get('userName')): ?>
					<h2><?php echo $this->user->name; ?></h2>
					<?php endif; ?>
					
					<?php if (($this->params->get('userURL') && isset($this->user->profile->url) && $this->user->profile->url) || $this->params->get('userEmail')): ?>
					<div class="userAdditionalInfo">
						<?php if ($this->params->get('userURL') && isset($this->user->profile->url) && $this->user->profile->url): ?>
						<span class="userURL">
							<a href="<?php echo $this->user->profile->url; ?>" target="_blank" rel="me"><?php echo $this->user->profile->url; ?></a>
						</span>
						<?php endif; ?>
			
						<?php if ($this->params->get('userEmail')): ?>
						<span class="userEmail">
							<?php echo JText::_('K2_EMAIL'); ?>: <?php echo JHTML::_('Email.cloak', $this->user->email); ?>
						</span>
						<?php endif; ?>	
					</div>
					<?php endif; ?>
					
					<?php if(isset($this->addLink) && JRequest::getInt('id')==$user->id): ?>
					<!-- Item add link -->
					<span class="userItemAddLink">
						<a class="icon-edit modal" rel="{handler:'iframe',size:{x:990,y:550}}" href="<?php echo $this->addLink; ?>">
							<?php echo JText::_('K2_POST_A_NEW_ITEM'); ?>
						</a>
					</span>
					<?php endif; ?>
					
					<?php if ($this->params->get('userDescription') && trim($this->user->profile->description)): ?>
					<div class="userDescription"><?php echo $this->user->profile->description; ?></div>
					<?php endif; ?>
					
					<?php echo $this->user->event->K2UserDisplay; ?>
					
					<div class="clr"></div>
				</div>
			</article>
		</div>
		<?php endif; ?>

	
		<?php if(count($this->items)): ?>
		<!-- Item list -->
		<?php foreach ($this->items as $item): ?>
		
		<!-- Start K2 Item Layout -->
		<div class="item userItemView<?php if(!$item->published || ($item->publish_up != $this->nullDate && $item->publish_up > $this->now) || ($item->publish_down != $this->nullDate && $item->publish_down < $this->now)) echo ' userItemViewUnpublished'; ?><?php echo ($item->featured) ? ' userItemIsFeatured' : ''; ?><?php echo empty($item->imageGeneric) ? ' no-image' : '' ?>">
			<article>
			
				<?php if($this->params->get('userItemImage') && !empty($item->imageGeneric)): ?>
				  <!-- Item Image -->
				  <div class="userItemImageBlock item-image-wrap">
					  <span class="userItemImage">
					    <a href="<?php echo $item->link; ?>" title="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>">
					    	<img src="<?php echo $item->imageGeneric; ?>" alt="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>" style="width:<?php echo $this->params->get('itemImageGeneric'); ?>px; height:auto;" />
					    </a>
					  </span>
					  <div class="clr"></div>
				  </div>
				<?php else: ?>
					<?php 
						$ytimage = SMBHelper::getYTK2Image($item);
						echo $ytimage ? $ytimage : '<div class="item-placeholder"><i class="icon icon-picture">&nbsp;</i></div>';
					?>
				<?php endif; ?>
				
				<div class="view-item">
				<!-- Plugins: BeforeDisplay -->
				<?php echo $item->event->BeforeDisplay; ?>
				
				<!-- K2 Plugins: K2BeforeDisplay -->
				<?php echo $item->event->K2BeforeDisplay; ?>
				
				<div class="userItemHeader">				
				  <?php if($this->params->get('userItemTitle')): ?>
				  <!-- Item title -->
				  <h3 class="userItemTitle">
						<?php if(isset($item->editLink)): ?>
						<!-- Item edit link -->
						<span class="userItemEditLink">
							<a class="icon-edit modal" rel="{handler:'iframe',size:{x:990,y:550}}" href="<?php echo $item->editLink; ?>">
								<?php echo JText::_('K2_EDIT_ITEM'); ?>
							</a>
						</span>
						<?php endif; ?>
	
				  	<?php if ($this->params->get('userItemTitleLinked') && $item->published): ?>
						<a class="article-link" href="<?php echo $item->link; ?>">
				  		<?php echo $item->title; ?>
				  	</a>
				  	<?php else: ?>
				  	<?php echo $item->title; ?>
				  	<?php endif; ?>
				  	<?php if(!$item->published || ($item->publish_up != $this->nullDate && $item->publish_up > $this->now) || ($item->publish_down != $this->nullDate && $item->publish_down < $this->now)): ?>
				  	<span>
			  			<sup>
			  				<?php echo JText::_('K2_UNPUBLISHED'); ?>
			  			</sup>
		  			</span>
		  			<?php endif; ?>
				  </h3>
				  <?php endif; ?>
			  </div>
			
				
				  
				<!-- K2 Plugins: K2AfterDisplayTitle -->
				<?php echo $item->event->K2AfterDisplayTitle; ?>
	
				<div class="userItemBody">
			
				  <!-- Plugins: BeforeDisplayContent -->
				  <?php echo $item->event->BeforeDisplayContent; ?>
				  
				  <!-- K2 Plugins: K2BeforeDisplayContent -->
				  <?php echo $item->event->K2BeforeDisplayContent; ?>
					  
				  <?php if($this->params->get('userItemIntroText')): ?>
				  <!-- Item introtext -->
				  <section class="article-intro clearfixclass="userItemIntroText">
				  	<?php echo $item->introtext; ?>
				  </section>
				  <?php endif; ?>
		
	
				  <!-- Plugins: AfterDisplayContent -->
				  <?php echo $item->event->AfterDisplayContent; ?>
				  
				  <!-- K2 Plugins: K2AfterDisplayContent -->
				  <?php echo $item->event->K2AfterDisplayContent; ?>

			  </div>
  			  <aside class="article-aside clearfix">
			     <dl class="article-info">
					<?php if($this->params->get('userItemDateCreated')): ?>
					
						<!-- Date created -->
						<dd class="userItemDateCreated">
							<span><?php echo JText::_('on'); ?></span>
							<?php echo JHTML::_('date', $item->created , JText::_('DATE_FORMAT_LC3')); ?>
						</dd>
						<?php endif; ?>
						
						<?php if($this->params->get('userItemCategory')): ?>
					
						<!-- Item category name -->
						<dd class="userItemCategory">
							<span><?php echo JText::_('in'); ?></span>
							<a href="<?php echo $item->category->link; ?>"><?php echo $item->category->name; ?></a>
						</dd>
					<?php endif; ?>			  
					<?php if($this->params->get('userItemCommentsAnchor') && ( ($this->params->get('comments') == '2' && !$this->user->guest) || ($this->params->get('comments') == '1')) ): ?>
						<!-- Anchor link to comments below -->
						<dd class="userItemCommentsLink">
							<?php if(!empty($item->event->K2CommentsCounter)): ?>
								<!-- K2 Plugins: K2CommentsCounter -->
								<?php echo $item->event->K2CommentsCounter; ?>
							<?php else: ?>
								<?php if($item->numOfComments > 0): ?>
								<a href="<?php echo $item->link; ?>#itemCommentsAnchor">
									<?php echo $item->numOfComments; ?> <?php echo ($item->numOfComments>1) ? JText::_('K2_COMMENTS') : JText::_('K2_COMMENT'); ?>
								</a>
								<?php else: ?>
								<a href="<?php echo $item->link; ?>#itemCommentsAnchor">
									<?php echo JText::_('K2_BE_THE_FIRST_TO_COMMENT'); ?>
								</a>
								<?php endif; ?>
							<?php endif; ?>
						</dd>
					<?php endif; ?>
					
					<!-- Plugins: AfterDisplayTitle -->
					<dd><?php echo $item->event->AfterDisplayTitle; ?></dd>
					
					<?php if($this->params->get('userItemTags') && isset($item->tags)): ?>
						<!-- Item tags -->
						<dd class="userItemTagsBlock">
							<span><?php echo JText::_('K2_TAGGED_UNDER'); ?></span>
							<ul class="userItemTags">
								<?php foreach ($item->tags as $tag): ?>
								<li><a href="<?php echo $tag->link; ?>"><?php echo $tag->name; ?></a></li>
								<?php endforeach; ?>
							</ul>
							 <div class="clr"></div>
						</dd>
					 <?php endif; ?>
				</dl>
  			  </aside>  			   				
			  
			  <?php if ($this->params->get('userItemReadMore')): ?>
				<!-- Item "read more..." link -->
				<div class="userItemReadMore">
					<a class="k2ReadMore readmore btn icon-plus" href="<?php echo $item->link; ?>">
						<span><?php echo JText::_('K2_READ_MORE'); ?></span>
					</a>
				</div>
			  <?php endif; ?>
			  <!-- Plugins: AfterDisplay -->
			  <?php echo $item->event->AfterDisplay; ?>
			  
			  <!-- K2 Plugins: K2AfterDisplay -->
			  <?php echo $item->event->K2AfterDisplay; ?>
			  </div>
			</article>
		</div>
		<!-- End K2 Item Layout -->
		
		<?php endforeach; ?>
		
		<!-- Pagination -->
		<?php if(count($this->pagination->getPagesLinks())): ?>
		<?php
			// Build the additional URL parameters string.
			$urlparams = '';
			if (!empty($this->pagination->_additionalUrlParams))
			{
				foreach ($this->pagination->_additionalUrlParams as $key => $value)
				{
					$urlparams .= '&' . $key . '=' . $value;
				}
			}
			$next = $this->pagination->get('pages.current') * $this->pagination->limit;
			$nextlink = JRoute::_($urlparams . '&' . $this->pagination->prefix . 'limitstart=' . $next);
		?>
		<div id="page-nav">
			<a id="page-next-link" href="<?php echo $nextlink ?>"></a>
		</div>
		<?php endif; ?>
		
		<?php endif; ?>

	</div>
</div>
<!-- End K2 User Layout -->
